// Ex-p5-Image5-Blend-Elastic
// Pour p5.js
// 8-11-2016
// 
// Utilise: libraries/p5.js
// http://p5js.org/reference/#/p5/image
// https://p5js.org/reference/#/p5/blend

var image1;

function preload() {
  image1 = loadImage("IMG_8583-1024x768.jpg");
  image2 = loadImage("IMG_8583-240x240.jpg");
}

function setup() {
  createCanvas(windowWidth, windowHeight);
}

function draw() {
  image(image1, 0, 0, windowWidth, windowHeight);
  EchelleX = 240 * windowWidth / 1024;
  EchelleY = 240 * windowHeight / 768;
  //Changer:  BLEND DARKEST LIGHTEST DIFFERENCE MULTIPLY EXCLUSION SCREEN REPLACE OVERLAY HARD_LIGHT SOFT_LIGHT DODGE BURN ADD NORMAL
  blend(image2, 0, 0, 240, 240, mouseX - EchelleX, mouseY - EchelleY, EchelleX, EchelleY, DARKEST);
}

function windowResized() {
  resizeCanvas(windowWidth, windowHeight);
}